OpenVDB 13.0.0

Loading...
Searching...
No Matches
Range.h File Reference

Custom Range class that is compatible with the tbb::blocked_range classes. More...

`#include <cassert>`
`#include <cstddef>`

Go to the source code of this file.

## Classes
class | Split
class | Range< 1, T >
class | Range< 2, T >
class | Range< 3, T >
class | Range< int, typename >

## Namespaces
namespace | nanovdb
namespace | nanovdb::util

## Typedefs
using | Range1D = Range<1, size_t>
using | Range2D = Range<2, size_t>
using | Range3D = Range<3, size_t>

## Detailed Description

Custom Range class that is compatible with the tbb::blocked_range classes.

Author
  Ken Museth

Date
  August 28, 2020